#!/usr/bin/env python3
# -*- coding: utf-8 -*-

"""
City database for Global Time Utility (gtime)
"""

CITY_DB = [
    # North America
    ("New York", "USA", "America/New_York", "🗽"),
    ("Los Angeles", "USA", "America/Los_Angeles", "🌴"),
    ("Chicago", "USA", "America/Chicago", "🌃"),
    ("San Francisco", "USA", "America/Los_Angeles", "🌉"),
    ("Seattle", "USA", "America/Los_Angeles", "🌲"),
    ("Boston", "USA", "America/New_York", "🎓"),
    ("Washington D.C.", "USA", "America/New_York", "🏛️"),
    ("Miami", "USA", "America/New_York", "🌴"),
    ("Salt Lake City", "USA", "America/Denver", "🏔️"),
    ("Austin", "USA", "America/Chicago", "🎸"),
    ("Dallas", "USA", "America/Chicago", "🤠"),
    ("Phoenix", "USA", "America/Phoenix", "🌵"),
    ("Denver", "USA", "America/Denver", "⛰️"),
    ("Las Vegas", "USA", "America/Los_Angeles", "🎰"),
    ("Toronto", "Canada", "America/Toronto", "🦫"),
    ("Vancouver", "Canada", "America/Vancouver", "🌲"),
    ("Montreal", "Canada", "America/Toronto", "🥯"),
    ("Calgary", "Canada", "America/Edmonton", "🐎"),
    ("Ottawa", "Canada", "America/Toronto", "🍁"),
    ("Mexico City", "Mexico", "America/Mexico_City", "🌮"),
    ("Guadalajara", "Mexico", "America/Mexico_City", "🎶"),
    ("Monterrey", "Mexico", "America/Monterrey", "🏞️"),
    ("Cancun", "Mexico", "America/Cancun", "🏖️"),
    # South America
    ("São Paulo", "Brazil", "America/Sao_Paulo", "🌆"),
    ("Rio de Janeiro", "Brazil", "America/Sao_Paulo", "🗺️"),
    ("Brasília", "Brazil", "America/Sao_Paulo", "🏛️"),
    ("Buenos Aires", "Argentina", "America/Argentina/Buenos_Aires", "💃"),
    ("Bogotá", "Colombia", "America/Bogota", "⛰️"),
    ("Lima", "Peru", "America/Lima", "🦙"),
    ("Santiago", "Chile", "America/Santiago", "⛰️"),
    ("Montevideo", "Uruguay", "America/Montevideo", "🏖️"),
    ("Caracas", "Venezuela", "America/Caracas", "🦜"),
    ("Quito", "Ecuador", "America/Guayaquil", "🌋"),
    ("Asunción", "Paraguay", "America/Asuncion", "🌳"),
    ("La Paz", "Bolivia", "America/La_Paz", "🏔️"),
    # Europe
    ("London", "UK", "Europe/London", "🎡"),
    ("Manchester", "UK", "Europe/London", "⚽"),
    ("Edinburgh", "UK", "Europe/London", "🏰"),
    ("Belfast", "UK", "Europe/London", "🧃"),
    ("Berlin", "Germany", "Europe/Berlin", "🕍"),
    ("Munich", "Germany", "Europe/Berlin", "🍺"),
    ("Frankfurt", "Germany", "Europe/Berlin", "🏦"),
    ("Hamburg", "Germany", "Europe/Berlin", "⚓"),
    ("Paris", "France", "Europe/Paris", "🗼"),
    ("Lyon", "France", "Europe/Paris", "🍷"),
    ("Marseille", "France", "Europe/Paris", "⚓"),
    ("Amsterdam", "Netherlands", "Europe/Amsterdam", "🚲"),
    ("Rotterdam", "Netherlands", "Europe/Amsterdam", "🚢"),
    ("Zurich", "Switzerland", "Europe/Zurich", "🏦"),
    ("Geneva", "Switzerland", "Europe/Zurich", "🕊️"),
    ("Stockholm", "Sweden", "Europe/Stockholm", "🚤"),
    ("Gothenburg", "Sweden", "Europe/Stockholm", "⚓"),
    ("Helsinki", "Finland", "Europe/Helsinki", "🦌"),
    ("Dublin", "Ireland", "Europe/Dublin", "🍀"),
    ("Rome", "Italy", "Europe/Rome", "🏛️"),
    ("Milan", "Italy", "Europe/Rome", "👗"),
    ("Madrid", "Spain", "Europe/Madrid", "💃"),
    ("Barcelona", "Spain", "Europe/Madrid", "🏖️"),
    ("Lisbon", "Portugal", "Europe/Lisbon", "🌉"),
    ("Porto", "Portugal", "Europe/Lisbon", "🍷"),
    ("Vienna", "Austria", "Europe/Vienna", "🎶"),
    ("Warsaw", "Poland", "Europe/Warsaw", "🎩"),
    ("Krakow", "Poland", "Europe/Warsaw", "🐉"),
    ("Prague", "Czech Republic", "Europe/Prague", "🏰"),
    ("Brno", "Czech Republic", "Europe/Prague", "🎓"),
    ("Budapest", "Hungary", "Europe/Budapest", "🌉"),
    ("Bucharest", "Romania", "Europe/Bucharest", "🏛️"),
    ("Moscow", "Russia", "Europe/Moscow", "🎠"),
    ("Saint Petersburg", "Russia", "Europe/Moscow", "🎨"),
    ("Oslo", "Norway", "Europe/Oslo", "🛳️"),
    ("Copenhagen", "Denmark", "Europe/Copenhagen", "🦢"),
    ("Reykjavik", "Iceland", "Atlantic/Reykjavik", "🧊"),
    ("Brussels", "Belgium", "Europe/Brussels", "🍫"),
    ("Luxembourg", "Luxembourg", "Europe/Luxembourg", "🏰"),
    ("Athens", "Greece", "Europe/Athens", "🏛️"),
    ("Sofia", "Bulgaria", "Europe/Sofia", "🦁"),
    ("Zagreb", "Croatia", "Europe/Zagreb", "🏟️"),
    ("Belgrade", "Serbia", "Europe/Belgrade", "🏰"),
    ("Kyiv", "Ukraine", "Europe/Kiev", "🌻"),
    ("Tallinn", "Estonia", "Europe/Tallinn", "🦅"),
    ("Riga", "Latvia", "Europe/Riga", "🌲"),
    ("Vilnius", "Lithuania", "Europe/Vilnius", "🏰"),
    ("Minsk", "Belarus", "Europe/Minsk", "🌲"),
    ("Chișinău", "Moldova", "Europe/Chisinau", "🍇"),
    # Asia
    ("Tokyo", "Japan", "Asia/Tokyo", "🗼"),
    ("Osaka", "Japan", "Asia/Tokyo", "🍜"),
    ("Kyoto", "Japan", "Asia/Tokyo", "⛩️"),
    ("Beijing", "China", "Asia/Shanghai", "🐉"),
    ("Shanghai", "China", "Asia/Shanghai", "🌁"),
    ("Guangzhou", "China", "Asia/Shanghai", "🌆"),
    ("Shenzhen", "China", "Asia/Shanghai", "🏙️"),
    ("Hong Kong", "China", "Asia/Hong_Kong", "🌃"),
    ("Seoul", "South Korea", "Asia/Seoul", "🦀"),
    ("Busan", "South Korea", "Asia/Seoul", "🏖️"),
    ("Mumbai", "India", "Asia/Kolkata", "🌇"),
    ("Delhi", "India", "Asia/Kolkata", "🕌"),
    ("Bangalore", "India", "Asia/Kolkata", "🌳"),
    ("Hyderabad", "India", "Asia/Kolkata", "🍛"),
    ("Chennai", "India", "Asia/Kolkata", "🌊"),
    ("Pune", "India", "Asia/Kolkata", "🏞️"),
    ("Kolkata", "India", "Asia/Kolkata", "🌉"),
    ("Singapore", "Singapore", "Asia/Singapore", "🦁"),
    ("Kuala Lumpur", "Malaysia", "Asia/Kuala_Lumpur", "🌇"),
    ("Bangkok", "Thailand", "Asia/Bangkok", "🛺"),
    ("Manila", "Philippines", "Asia/Manila", "🏙️"),
    ("Jakarta", "Indonesia", "Asia/Jakarta", "🌋"),
    ("Ho Chi Minh City", "Vietnam", "Asia/Ho_Chi_Minh", "🏍️"),
    ("Hanoi", "Vietnam", "Asia/Ho_Chi_Minh", "🌸"),
    ("Phnom Penh", "Cambodia", "Asia/Phnom_Penh", "🛕"),
    ("Vientiane", "Laos", "Asia/Vientiane", "🛕"),
    ("Yangon", "Myanmar", "Asia/Yangon", "🛕"),
    ("Colombo", "Sri Lanka", "Asia/Colombo", "🐘"),
    ("Dhaka", "Bangladesh", "Asia/Dhaka", "🌾"),
    ("Karachi", "Pakistan", "Asia/Karachi", "🌴"),
    ("Lahore", "Pakistan", "Asia/Karachi", "🏰"),
    ("Islamabad", "Pakistan", "Asia/Karachi", "🕌"),
    ("Kabul", "Afghanistan", "Asia/Kabul", "🕌"),
    ("Tehran", "Iran", "Asia/Tehran", "🕌"),
    ("Baghdad", "Iraq", "Asia/Baghdad", "🏛️"),
    ("Damascus", "Syria", "Asia/Damascus", "🏛️"),
    ("Amman", "Jordan", "Asia/Amman", "🏜️"),
    ("Tel Aviv", "Israel", "Asia/Jerusalem", "🏖️"),
    ("Jerusalem", "Israel", "Asia/Jerusalem", "🕍"),
    ("Beirut", "Lebanon", "Asia/Beirut", "🌊"),
    ("Dubai", "UAE", "Asia/Dubai", "🏙️"),
    ("Abu Dhabi", "UAE", "Asia/Dubai", "🏝️"),
    ("Riyadh", "Saudi Arabia", "Asia/Riyadh", "🏜️"),
    ("Jeddah", "Saudi Arabia", "Asia/Riyadh", "🌊"),
    ("Kuwait City", "Kuwait", "Asia/Kuwait", "🏜️"),
    ("Doha", "Qatar", "Asia/Qatar", "🏙️"),
    ("Manama", "Bahrain", "Asia/Bahrain", "🏝️"),
    ("Muscat", "Oman", "Asia/Muscat", "🏜️"),
    ("Sana'a", "Yemen", "Asia/Aden", "🏜️"),
    ("Tashkent", "Uzbekistan", "Asia/Tashkent", "🌳"),
    ("Almaty", "Kazakhstan", "Asia/Almaty", "🏔️"),
    ("Bishkek", "Kyrgyzstan", "Asia/Bishkek", "🏔️"),
    ("Dushanbe", "Tajikistan", "Asia/Dushanbe", "🏔️"),
    ("Ashgabat", "Turkmenistan", "Asia/Ashgabat", "🏜️"),
    ("Baku", "Azerbaijan", "Asia/Baku", "🌊"),
    ("Yerevan", "Armenia", "Asia/Yerevan", "⛰️"),
    ("Tbilisi", "Georgia", "Asia/Tbilisi", "🏞️"),
    ("Kathmandu", "Nepal", "Asia/Kathmandu", "🏔️"),
    ("Thimphu", "Bhutan", "Asia/Thimphu", "⛰️"),
    ("Ulaanbaatar", "Mongolia", "Asia/Ulaanbaatar", "🐎"),
    ("Pyongyang", "North Korea", "Asia/Pyongyang", "🏛️"),
    ("Taipei", "Taiwan", "Asia/Taipei", "🦋"),
    ("Macau", "China", "Asia/Macau", "🎰"),
    # Africa
    ("Johannesburg", "South Africa", "Africa/Johannesburg", "🦁"),
    ("Cape Town", "South Africa", "Africa/Johannesburg", "⛰️"),
    ("Cairo", "Egypt", "Africa/Cairo", "🕌"),
    ("Lagos", "Nigeria", "Africa/Lagos", "🎶"),
    ("Abuja", "Nigeria", "Africa/Lagos", "🏛️"),
    ("Nairobi", "Kenya", "Africa/Nairobi", "🦒"),
    ("Addis Ababa", "Ethiopia", "Africa/Addis_Ababa", "☕"),
    ("Casablanca", "Morocco", "Africa/Casablanca", "🌊"),
    ("Rabat", "Morocco", "Africa/Casablanca", "🏰"),
    ("Algiers", "Algeria", "Africa/Algiers", "🏛️"),
    ("Tunis", "Tunisia", "Africa/Tunis", "🏖️"),
    ("Tripoli", "Libya", "Africa/Tripoli", "🏜️"),
    ("Khartoum", "Sudan", "Africa/Khartoum", "🌊"),
    ("Accra", "Ghana", "Africa/Accra", "🎶"),
    ("Dakar", "Senegal", "Africa/Dakar", "🦁"),
    ("Abidjan", "Côte d'Ivoire", "Africa/Abidjan", "🌴"),
    ("Douala", "Cameroon", "Africa/Douala", "🌴"),
    ("Luanda", "Angola", "Africa/Luanda", "🦁"),
    ("Harare", "Zimbabwe", "Africa/Harare", "🦓"),
    ("Lusaka", "Zambia", "Africa/Lusaka", "🦏"),
    ("Kampala", "Uganda", "Africa/Kampala", "🦍"),
    ("Dar es Salaam", "Tanzania", "Africa/Dar_es_Salaam", "🏖️"),
    ("Maputo", "Mozambique", "Africa/Maputo", "🦐"),
    ("Gaborone", "Botswana", "Africa/Gaborone", "🦁"),
    ("Windhoek", "Namibia", "Africa/Windhoek", "🦒"),
    ("Antananarivo", "Madagascar", "Indian/Antananarivo", "🦎"),
    ("Port Louis", "Mauritius", "Indian/Mauritius", "🏝️"),
    # Oceania
    ("Sydney", "Australia", "Australia/Sydney", "🦘"),
    ("Melbourne", "Australia", "Australia/Melbourne", "🎡"),
    ("Brisbane", "Australia", "Australia/Brisbane", "🌴"),
    ("Perth", "Australia", "Australia/Perth", "🌅"),
    ("Adelaide", "Australia", "Australia/Adelaide", "🍷"),
    ("Canberra", "Australia", "Australia/Canberra", "🏛️"),
    ("Darwin", "Australia", "Australia/Darwin", "🐊"),
    ("Auckland", "New Zealand", "Pacific/Auckland", "🦤"),
    ("Wellington", "New Zealand", "Pacific/Auckland", "🌬️"),
    ("Christchurch", "New Zealand", "Pacific/Auckland", "🌸"),
    ("Suva", "Fiji", "Pacific/Fiji", "🌺"),
    ("Port Moresby", "Papua New Guinea", "Pacific/Port_Moresby", "🦜"),
    ("Nouméa", "New Caledonia", "Pacific/Noumea", "🐚"),
    ("Port Vila", "Vanuatu", "Pacific/Efate", "🌴"),
    ("Honiara", "Solomon Islands", "Pacific/Guadalcanal", "🐟"),
    ("Apia", "Samoa", "Pacific/Apia", "🏝️"),
    ("Nuku'alofa", "Tonga", "Pacific/Tongatapu", "🌴"),
    ("Ngerulmud", "Palau", "Pacific/Palau", "🐠"),
    ("Majuro", "Marshall Islands", "Pacific/Majuro", "🏝️"),
    ("Palikir", "Micronesia", "Pacific/Pohnpei", "🐟"),
    ("Yaren", "Nauru", "Pacific/Nauru", "🏝️"),
    ("Funafuti", "Tuvalu", "Pacific/Funafuti", "🏝️"),
    ("Tarawa", "Kiribati", "Pacific/Tarawa", "🐢"),
    ("Avarua", "Cook Islands", "Pacific/Rarotonga", "🌺"),
    ("Papeete", "French Polynesia", "Pacific/Tahiti", "🌺"),
    ("Hagåtña", "Guam", "Pacific/Guam", "🌴"),
    # Additional Major Cities and Missing Countries
    # More US Cities
    ("Atlanta", "USA", "America/New_York", "🍑"),
    ("Portland", "USA", "America/Los_Angeles", "🌲"),
    ("Minneapolis", "USA", "America/Chicago", "❄️"),
    ("Nashville", "USA", "America/Chicago", "🎵"),
    ("San Diego", "USA", "America/Los_Angeles", "🏄"),
    ("Philadelphia", "USA", "America/New_York", "🔔"),
    ("Houston", "USA", "America/Chicago", "🚀"),
    ("Detroit", "USA", "America/New_York", "🚗"),
    ("Tampa", "USA", "America/New_York", "🌴"),
    ("New Orleans", "USA", "America/Chicago", "🎺"),
    # Caribbean
    ("Havana", "Cuba", "America/Havana", "🏝️"),
    ("Kingston", "Jamaica", "America/Jamaica", "🎶"),
    ("Port of Spain", "Trinidad and Tobago", "America/Port_of_Spain", "🌺"),
    ("Bridgetown", "Barbados", "America/Barbados", "🏖️"),
    ("Santo Domingo", "Dominican Republic", "America/Santo_Domingo", "🌴"),
    ("San Juan", "Puerto Rico", "America/Puerto_Rico", "🏰"),
    ("Nassau", "Bahamas", "America/Nassau", "🏝️"),
    ("Georgetown", "Guyana", "America/Guyana", "🌊"),
    ("Paramaribo", "Suriname", "America/Paramaribo", "🌴"),
    ("Cayenne", "French Guiana", "America/Cayenne", "🐸"),
    # More European Cities
    ("Nice", "France", "Europe/Paris", "🌊"),
    ("Toulouse", "France", "Europe/Paris", "✈️"),
    ("Naples", "Italy", "Europe/Rome", "🍕"),
    ("Florence", "Italy", "Europe/Rome", "🎨"),
    ("Venice", "Italy", "Europe/Rome", "🚤"),
    ("Seville", "Spain", "Europe/Madrid", "💃"),
    ("Valencia", "Spain", "Europe/Madrid", "🍊"),
    ("Cologne", "Germany", "Europe/Berlin", "⛪"),
    ("Dresden", "Germany", "Europe/Berlin", "🏰"),
    ("Salzburg", "Austria", "Europe/Vienna", "🎼"),
    ("Basel", "Switzerland", "Europe/Zurich", "🏦"),
    ("Malmö", "Sweden", "Europe/Stockholm", "🌉"),
    ("Bergen", "Norway", "Europe/Oslo", "🐟"),
    ("Aarhus", "Denmark", "Europe/Copenhagen", "🏛️"),
    ("Thessaloniki", "Greece", "Europe/Athens", "🏺"),
    ("Porto", "Portugal", "Europe/Lisbon", "🍷"),
    ("Krakow", "Poland", "Europe/Warsaw", "🐲"),
    ("Split", "Croatia", "Europe/Zagreb", "⛵"),
    ("Ljubljana", "Slovenia", "Europe/Ljubljana", "🏰"),
    ("Bratislava", "Slovakia", "Europe/Bratislava", "🏰"),
    # Missing Asian Countries
    ("Vientiane", "Laos", "Asia/Vientiane", "🛕"),
    ("Bandar Seri Begawan", "Brunei", "Asia/Brunei", "🕌"),
    ("Dili", "East Timor", "Asia/Dili", "🌴"),
    ("Male", "Maldives", "Indian/Maldives", "🏝️"),
    # Central Asia
    ("Nur-Sultan", "Kazakhstan", "Asia/Almaty", "🏙️"),
    ("Astana", "Kazakhstan", "Asia/Almaty", "🌟"),
    # More Middle East
    ("Isfahan", "Iran", "Asia/Tehran", "🕌"),
    ("Shiraz", "Iran", "Asia/Tehran", "🌹"),
    ("Aleppo", "Syria", "Asia/Damascus", "🏛️"),
    ("Basra", "Iraq", "Asia/Baghdad", "🌊"),
    ("Erbil", "Iraq", "Asia/Baghdad", "🏛️"),
    # More African Cities
    ("Marrakech", "Morocco", "Africa/Casablanca", "🕌"),
    ("Fez", "Morocco", "Africa/Casablanca", "🎨"),
    ("Alexandria", "Egypt", "Africa/Cairo", "🏺"),
    ("Luxor", "Egypt", "Africa/Cairo", "🏛️"),
    ("Kano", "Nigeria", "Africa/Lagos", "🎭"),
    ("Ibadan", "Nigeria", "Africa/Lagos", "🌆"),
    ("Durban", "South Africa", "Africa/Johannesburg", "🏄"),
    ("Pretoria", "South Africa", "Africa/Johannesburg", "🏛️"),
    ("Port Elizabeth", "South Africa", "Africa/Johannesburg", "🌊"),
    ("Mombasa", "Kenya", "Africa/Nairobi", "🏖️"),
    ("Kisumu", "Kenya", "Africa/Nairobi", "🐟"),
    ("Arusha", "Tanzania", "Africa/Dar_es_Salaam", "🦁"),
    ("Zanzibar", "Tanzania", "Africa/Dar_es_Salaam", "🏝️"),
    ("Entebbe", "Uganda", "Africa/Kampala", "✈️"),
    ("Kigali", "Rwanda", "Africa/Kigali", "🦍"),
    ("Bujumbura", "Burundi", "Africa/Bujumbura", "🌋"),
    ("Djibouti", "Djibouti", "Africa/Djibouti", "🌊"),
    ("Asmara", "Eritrea", "Africa/Asmara", "⛰️"),
    ("Mogadishu", "Somalia", "Africa/Mogadishu", "🏖️"),
    ("N'Djamena", "Chad", "Africa/Ndjamena", "🌵"),
    ("Bangui", "Central African Republic", "Africa/Bangui", "🌳"),
    ("Yaoundé", "Cameroon", "Africa/Douala", "🌳"),
    ("Libreville", "Gabon", "Africa/Libreville", "🌳"),
    ("Malabo", "Equatorial Guinea", "Africa/Malabo", "🏝️"),
    ("São Tomé", "São Tomé and Príncipe", "Africa/Sao_Tome", "🌺"),
    ("Kinshasa", "Democratic Republic of Congo", "Africa/Kinshasa", "🌊"),
    ("Brazzaville", "Republic of Congo", "Africa/Brazzaville", "🌊"),
    ("Bamako", "Mali", "Africa/Bamako", "🐪"),
    ("Ouagadougou", "Burkina Faso", "Africa/Ouagadougou", "🌾"),
    ("Niamey", "Niger", "Africa/Niamey", "🌵"),
    ("Conakry", "Guinea", "Africa/Conakry", "🌊"),
    ("Freetown", "Sierra Leone", "Africa/Freetown", "⛰️"),
    ("Monrovia", "Liberia", "Africa/Monrovia", "🌊"),
    ("Lomé", "Togo", "Africa/Lome", "🏖️"),
    ("Porto-Novo", "Benin", "Africa/Porto-Novo", "🌴"),
    ("Nouakchott", "Mauritania", "Africa/Nouakchott", "🐪"),
    ("Bissau", "Guinea-Bissau", "Africa/Bissau", "🌊"),
    ("Praia", "Cape Verde", "Atlantic/Cape_Verde", "🌊"),
    ("Maseru", "Lesotho", "Africa/Maseru", "⛰️"),
    ("Mbabane", "Eswatini", "Africa/Mbabane", "🏔️"),
    ("Moroni", "Comoros", "Indian/Comoro", "🌺"),
    ("Victoria", "Seychelles", "Indian/Mahe", "🏝️"),
    # Pacific Islands and Oceania
    ("Honolulu", "USA", "Pacific/Honolulu", "🌺"),
    ("Anchorage", "USA", "America/Anchorage", "🐻"),
    ("Fairbanks", "USA", "America/Anchorage", "❄️"),
    ("Hobart", "Australia", "Australia/Hobart", "🌿"),
    ("Gold Coast", "Australia", "Australia/Brisbane", "🏄"),
    ("Newcastle", "Australia", "Australia/Sydney", "⚓"),
    ("Wollongong", "Australia", "Australia/Sydney", "🌊"),
    ("Dunedin", "New Zealand", "Pacific/Auckland", "🐧"),
    ("Hamilton", "New Zealand", "Pacific/Auckland", "🐄"),
    ("Tauranga", "New Zealand", "Pacific/Auckland", "🏖️"),
]
